Subject: RE: [Sip] Re: Issue #163: "where does SDP section live"

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 19 Sep 2001 02:14:46 -0400

I believe we did agree during mmusic at IETF 51 to make it a separate
document.

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

> -----Original Message-----
> From: Colin Perkins [mailto:[email-masked]]
> Sent: Monday, September 10, 2001 8:26 PM
> To: Tom-PT Taylor
> Cc: [email-masked]'; [email-masked]
> Subject: [Sip] Re: Issue #163: "where does SDP section live"
> 
> 
> A common document would seem to make sense, if possible. I 
> don't think it
> should be part of the SDP revision: that ties SDP to one 
> negotiation model,
> which might not be appropriate for all scenarios.
> 
> Colin
> 
> 
> 
> 
> --> "Tom-PT Taylor" writes:
> >I've clipped this description from Rohan Mahy's note, 
> assuming it reflects
> >Jonathan's statement: 
> >
> > >#163 "where does SDP section live"
> > >Issues: SIP spec has an appendix with SDP usage;
> > >Not really a SIP issue at all;
> > >Other descriptions will come along;
> > >Sync issue with SDP spec;
> > >Beefiness of SIP spec already
> > >Some ideas: Separate RFC, Incorporate into SDP revision, 
> Keep it as it is
> > >Proposal: Keep it as it is
> >
> >The implication of the decision on this issue is either that 
> the negotiation
> >model for SDP is application-specific (implication if the 
> SDP annex stays)
> >or that the negotiation model is general (implication if the 
> annex becomes a
> >separate document in MMUSIC).
> >
> >Megaco might be a bit different if a general document on SDP 
> negotiation had
> >been available in 1999.  As it is, we built specific support 
> for our model
> >into the Megaco protocol.
> >
> >My point is that we should consider what is the best approach looking
> >forward.  When SDPng comes along, will we again face the necessity of
> >defining how it is used with each application, or will it be 
> possible to
> >define a common view?
> >
> >My personal preference is for a common document.  I think it 
> is possible,
> >although it may contain different sections governing the operation of
> >different functions.  For example, there may be a difference 
> in the model
> >used to reveal capabilities (a Megaco requirement), as opposed to
> >negotiating a specific media flow (a requirement common to 
> Megaco and SIP).
> >
> >Tom Taylor
> >[email-masked]
> >Ph. +1 613 736 0961 (ESN 396 1490)
> 
> _______________________________________________
> Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip